import React, { useMemo } from 'react';
import { tv } from 'tailwind-variants';
const scrollArea = tv({
    base: 'smarthr-ui-Dropdown-scrollArea shr-flex-auto shr-overflow-y-auto',
});
export const DropdownScrollArea = ({ className, ...props }) => {
    const styles = useMemo(() => scrollArea({ className }), [className]);
    return React.createElement("div", { ...props, className: styles });
};
//# sourceMappingURL=DropdownScrollArea.js.map